// TemplateBlockDlg.h : header file for the CTemplateBlock properties dialog.
//

#if !defined(_TemplateBlockDLG_INCLUDED_)
#define _TemplateBlockDLG_INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "resource.h"
#include "Engine/Engine.h"


/////////////////////////////////////////////////////////////////////////////
// CTemplateBlockDlg Dialog Class
// 
class CTemplateBlockDlg : public TDialog
{
// Construction
public:
	CTemplateBlockDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTemplateBlockDlg)
	enum { IDD = IDD_TemplateBlock };
	CComboBox	m_cbSDIAddress;
	int		m_iAIOChannel;
	int		m_iAIOModule;
	int		m_iDIOChannel;
	int		m_iDIOModule;
	//}}AFX_DATA

   int m_iOldAIOModule;
   int m_iOldAIOChannel;

   int m_iOldDIOModule;
   int m_iOldDIOChannel;

   int m_iSDIAddressIdx;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTemplateBlockDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTemplateBlockDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelendokAioModule();
	afx_msg void OnSelendokDioModule();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_TemplateBlockDLG_INCLUDED_)
